// %PARAMETERS = "CH11LIST C:\UT2004"
//Identifies the package
//CH11_03LIST.uc

class CH11_03LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local float rFirstNum,
            rSecondNum,
            rThirdNum, rFourthNum,
            rPower, rReturnedNum;

   rFirstNum = 18.00;
   rSecondNum  = 25.00;
   rThirdNum   = 35.00;
   rFourthNum = -35.00;
   rPower = 10.00;
   rReturnedNum  = 0;

  log("*************");
  log("CH111_03LIST Float functions: Max, Min..." $ chr(13) $ "");
  log(chr(13));

  //#2
  // Minimum
  log(" A - Use of FMin() and FMax()");
  log("   Compared: " @ rFirstNum @ "and" @ rSecondNum);
  rReturnedNum = FMin(rFirstNum, rSecondNum);
  log("   The smallest of the two:" @ rReturnedNum );
  // Maximum
  rReturnedNum = FMax(rFirstNum, rSecondNum);
  log("   The largest of the two:" @ rReturnedNum );

  //#3 Relative to a range
  log(" B - Use of FClamp()");
  rReturnedNum = FClamp(rThirdNum, rFirstNum, rSecondNum);
  log("   The range number closest to "
                         @ rThirdNum  @ " is " @ rReturnedNum );

  //#4Asoloute value
  log(" C - Absolute value");
  rReturnedNum =  Abs(rFourthNum);
  log("   The absolute value of "
                         @ rFourthNum  @ " is " @ rReturnedNum );


  //#5 Exponent and lagarithm of e
  log(" D - Exponent and natural logarithm");
  rReturnedNum = Exp(rPower);
  log("   The constant e raised to a power of "
                         @ rPower  @ " is " @ rReturnedNum );
  rPower =  Loge(rReturnedNum);
  log("   The logarithm of constant e of "
                         @ rReturnedNum  @ " is " @ rPower );

  //#6
  log(" E - Root and Square root");
  rReturnedNum = Square(rPower);
  log("   The square of " @ rPower   @ " is " @ rReturnedNum );
  rReturnedNum = Sqrt(rSecondNum);
  log("   The square root of  " @ rSecondNum
                         @ " is " @ rReturnedNum );

  return 0;

}
