// %PARAMETERS = "CH11LIST C:\UT2004"
//Identifies the package
//CH11_04LIST.uc

class CH11_04LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local float rRealA, rRealB, rInterval,
              rRealC, rReturn;

  rRealA = 23.25;
  rRealB = -23.33;
  rRealC = 33.25;
  rInterval = 2;
  rReturn = 0;


  log("*************");
  log(Chr(10) @ " CH111_04LIST Functions for floats " @ Chr(10));

  //#2
  log(" A - Ceiling of  " @ rRealA);
  rReturn = Ceil(rRealA);
  log("        " @ rReturn);

  log("     Ceiling of  " @ rRealB);
  rReturn = Ceil(rRealB);
  log("        " @ rReturn);

  //#3
  log(" B - Round of " $ rRealA);
  rReturn = Round(rRealA);
  log("        " @ rReturn);


  //#4
  log(" C - Lerp of "  @ rRealA @ " and "  @ rRealC );
  rReturn = Lerp(rInterval, rRealA, rRealC);
  log(" for " @ rInterval  @ " -- " @ rReturn);

  rReturn = Lerp(rInterval + 1, rRealA, rRealC);
  log(" for " @ rInterval + 1 @ " -- " @ rReturn);

  rReturn = Lerp(rInterval + 2, rRealA, rRealC);
  log(" for " @ rInterval + 2 @ " -- " @ rReturn);

  return 0;
}
