// %PARAMETERS = "CH11LIST C:\UT2004"
//Identifies the package
//CH11_05LIST.uc

class CH11_05LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local Array<float> rgDegrees;
  local int iRad, iCount;
  iRad = 0;
  iCount = 0;

  //#2

  rgDegrees[0] = 45;    rgDegrees[1]= 90;    rgDegrees[2]= 135;
  rgDegrees[3]= 180;    rgDegrees[4]= 225;   rgDegrees[5]= 270;
  rgDegrees[6]= 315;    rgDegrees[7]= 360;
  iRad  = rgDegrees.Length;

  log(Chr(10));
  log(Chr(10) @ " CH11_05LIST Trigonometry functions " @ Chr(10));
  log("  Number of elements: " $ iRad);
  log("  Cardioid radii using Cos() ");

  //#3
  log("|   Degrees     |"  $  "    Radians    |"  @   "  Radius  |");
  log("=============================================");
  while(iCount < iRad){
  log("|   " @ rgDegrees[iCount] @ Chr(9) $  "|   "
             @ rgDegrees[iCount] * (Pi/180) @ Chr(9) $ "|   "
             @ (1 +  Cos( rgDegrees[iCount] * (Pi/180)))  @ "  |");
  iCount++;
  }
  return 0;
}

