// %PARAMETERS = "CH18LIST C:\UT2004"
//Identifies the package
//CH08_02LIST.uc
class CH18_02LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local SimpleMath firstMath;
  firstMath = new class'SimpleMath';
  Log(Chr(10)$ "SimpleMath Interface");

  //#2
  Log(Chr(10)
    $  "----------Services related to math ----------------" 
    $ Chr(10));
  Log("(Add 2 and 3)                   : "
                               $ firstMath.addNums(2, 3));
  Log("(Subtract 3 from 2)             : "
                               $ firstMath.subtractNums(2, 3));
  Log("(Multiply 2 by 3)               : "
                               $ firstMath.multiplyNums(2, 3));
  Log("(Divide 2 by 3)                 : "
                               $ firstMath.divideNums(2, 3) );
  Log("(Circumference for diameter 3)  : "
                               $ firstMath.getCircumference(3));
  Log("(Area for radius 3)             : "
                               $ firstMath.getArea(3));
  //#3
  Log(Chr(10)$ "----------Services related to text processing -----"
             $ Chr(10));
  Log("(Capitalize 'math')             : "
                               $ firstMath.makeCaps("math"));
  Log("(Join 'Simple' and 'Math')      : "
                               $ firstMath.joinwords("Simple", "Math"));

  return 0;
}

