// %PARAMETERS = "CH20LIST C:\UT2004"
//Identifies the package
//CH20_06LIST.uc

//This class tests CH19LIST.Prop
//It is the test driver for the Stage class

class CH20_06LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local Stage firstStage;
  firstStage = new class'Stage';
  Log(Chr(10)$ " Testing the Stage class" $ Chr(10)  );

  //#2 
    firstStage.showBasicUse();
    //Orestes-----------------------------------------------------
    firstStage.addActor("Electra", "In robes of court");
    firstStage.addNewEvent("Angry", "Electra",
              "Thou wouldst dishonor me; that much is sure.",
               95);
    firstStage.addProp(95, "Flowers", 
                           "Near and hand as she picks them.");
    firstStage.addActorInterpretation(95, "Concentrates on her work");

    //Electra-----------------------------------------------------
    firstStage.addActor("Electra", "In robes of court");
    firstStage.addNewEvent("Cold and angry", "Electra",
              "Am I to make thy rule of honor mine?",
              100);
    firstStage.addProp(100, "Flowers in hand",
                            "Holds flowers and meditates on them.");
    firstStage.addActorInterpretation(100, 
                                      "Looking sternly at her sister");
    //Chrysothemis-----------------------------------------------------
    firstStage.addActor("Chrysothemis", "In mourning");
    firstStage.addNewEvent("Fearful", "Chrysothemis",
            "When thou art wise, then thou shalt guide us both.",
            105);
    firstStage.addProp(105, "Flowers ", 
                            "Looks at flowers Chrysothemis holds.");
    firstStage.addActorInterpretation(105, "Meekly holding up flowers");

   //Display all-----------------------------------------------------
  //#3
    firstStage.playScriptLine(95, 95, 95);
    firstStage.playScriptLine(100, 100, 100);
    firstStage.playScriptLine(105 , 105, 105);

  return 0;
}
